JaxbEntity (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbEntity

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbEntity

    public class JaxbEntity

extends Object

Defines the settings and mappings for an entity. Is allowed to be sparsely populated and used in conjunction with the annotations. Alternatively, the metadata-complete attribute can be used to indicate that no annotations on the entity class (and its fields or properties) are to be processed. If this is the case then the defaulting rules for the entity and its subelements will be recursively applied.

Field Summary
`protected JaxbAccessType` | `access`
`protected List<JaxbAssociationOverride>` | `associationOverride`
`protected List<JaxbAttributeOverride>` | `attributeOverride`
`protected JaxbAttributes` | `attributes`
`protected Boolean` | `cacheable`
`protected String` | `clazz`
`protected String` | `description`
`protected JaxbDiscriminatorColumn` | `discriminatorColumn`
`protected String` | `discriminatorValue`
`protected JaxbEntityListeners` | `entityListeners`
`protected JaxbEmptyType` | `excludeDefaultListeners`
`protected JaxbEmptyType` | `excludeSuperclassListeners`
`protected JaxbIdClass` | `idClass`
`protected JaxbInheritance` | `inheritance`
`protected Boolean` | `metadataComplete`
`protected String` | `name`
`protected List<JaxbNamedNativeQuery>` | `namedNativeQuery`
`protected List<JaxbNamedQuery>` | `namedQuery`
`protected JaxbPostLoad` | `postLoad`
`protected JaxbPostPersist` | `postPersist`
`protected JaxbPostRemove` | `postRemove`
`protected JaxbPostUpdate` | `postUpdate`
`protected JaxbPrePersist` | `prePersist`
`protected JaxbPreRemove` | `preRemove`
`protected JaxbPreUpdate` | `preUpdate`
`protected List<JaxbPrimaryKeyJoinColumn>` | `primaryKeyJoinColumn`
`protected List<JaxbSecondaryTable>` | `secondaryTable`
`protected JaxbSequenceGenerator` | `sequenceGenerator`
`protected List<JaxbSqlResultSetMapping>` | `sqlResultSetMapping`
`protected JaxbTable` | `table`
`protected JaxbTableGenerator` | `tableGenerator`

Constructor Summary
`JaxbEntity()`

Method Summary
`JaxbAccessType` | `getAccess()` Gets the value of the access property.
`List<JaxbAssociationOverride>` | `getAssociationOverride()` Gets the value of the associationOverride property.
`List<JaxbAttributeOverride>` | `getAttributeOverride()` Gets the value of the attributeOverride property.
`JaxbAttributes` | `getAttributes()` Gets the value of the attributes property.
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getDescription()` Gets the value of the description property.
`JaxbDiscriminatorColumn` | `getDiscriminatorColumn()` Gets the value of the discriminatorColumn property.
`String` | `getDiscriminatorValue()` Gets the value of the discriminatorValue property.
`JaxbEntityListeners` | `getEntityListeners()` Gets the value of the entityListeners property.
`JaxbEmptyType` | `getExcludeDefaultListeners()` Gets the value of the excludeDefaultListeners property.
`JaxbEmptyType` | `getExcludeSuperclassListeners()` Gets the value of the excludeSuperclassListeners property.
`JaxbIdClass` | `getIdClass()` Gets the value of the idClass property.
`JaxbInheritance` | `getInheritance()` Gets the value of the inheritance property.
`String` | `getName()` Gets the value of the name property.
`List<JaxbNamedNativeQuery>` | `getNamedNativeQuery()` Gets the value of the namedNativeQuery property.
`List<JaxbNamedQuery>` | `getNamedQuery()` Gets the value of the namedQuery property.
`JaxbPostLoad` | `getPostLoad()` Gets the value of the postLoad property.
`JaxbPostPersist` | `getPostPersist()` Gets the value of the postPersist property.
`JaxbPostRemove` | `getPostRemove()` Gets the value of the postRemove property.
`JaxbPostUpdate` | `getPostUpdate()` Gets the value of the postUpdate property.
`JaxbPrePersist` | `getPrePersist()` Gets the value of the prePersist property.
`JaxbPreRemove` | `getPreRemove()` Gets the value of the preRemove property.
`JaxbPreUpdate` | `getPreUpdate()` Gets the value of the preUpdate property.
`List<JaxbPrimaryKeyJoinColumn>` | `getPrimaryKeyJoinColumn()` Gets the value of the primaryKeyJoinColumn property.
`List<JaxbSecondaryTable>` | `getSecondaryTable()` Gets the value of the secondaryTable property.
`JaxbSequenceGenerator` | `getSequenceGenerator()` Gets the value of the sequenceGenerator property.
`List<JaxbSqlResultSetMapping>` | `getSqlResultSetMapping()` Gets the value of the sqlResultSetMapping property.
`JaxbTable` | `getTable()` Gets the value of the table property.
`JaxbTableGenerator` | `getTableGenerator()` Gets the value of the tableGenerator property.
`Boolean` | `isCacheable()` Gets the value of the cacheable property.
`Boolean` | `isMetadataComplete()` Gets the value of the metadataComplete property.
`void` | `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` | `setAttributes(JaxbAttributes value)` Sets the value of the attributes property.
`void` | `setCacheable(Boolean value)` Sets the value of the cacheable property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setDiscriminatorColumn(JaxbDiscriminatorColumn value)` Sets the value of the discriminatorColumn property.
`void` | `setDiscriminatorValue(String value)` Sets the value of the discriminatorValue property.
`void` | `setEntityListeners(JaxbEntityListeners value)` Sets the value of the entityListeners property.
`void` | `setExcludeDefaultListeners(JaxbEmptyType value)` Sets the value of the excludeDefaultListeners property.
`void` | `setExcludeSuperclassListeners(JaxbEmptyType value)` Sets the value of the excludeSuperclassListeners property.
`void` | `setIdClass(JaxbIdClass value)` Sets the value of the idClass property.
`void` | `setInheritance(JaxbInheritance value)` Sets the value of the inheritance property.
`void` | `setMetadataComplete(Boolean value)` Sets the value of the metadataComplete property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setPostLoad(JaxbPostLoad value)` Sets the value of the postLoad property.
`void` | `setPostPersist(JaxbPostPersist value)` Sets the value of the postPersist property.
`void` | `setPostRemove(JaxbPostRemove value)` Sets the value of the postRemove property.
`void` | `setPostUpdate(JaxbPostUpdate value)` Sets the value of the postUpdate property.
`void` | `setPrePersist(JaxbPrePersist value)` Sets the value of the prePersist property.
`void` | `setPreRemove(JaxbPreRemove value)` Sets the value of the preRemove property.
`void` | `setPreUpdate(JaxbPreUpdate value)` Sets the value of the preUpdate property.
`void` | `setSequenceGenerator(JaxbSequenceGenerator value)` Sets the value of the sequenceGenerator property.
`void` | `setTable(JaxbTable value)` Sets the value of the table property.
`void` | `setTableGenerator(JaxbTableGenerator value)` Sets the value of the tableGenerator property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### table

    protected JaxbTable table

### secondaryTable

    protected List<JaxbSecondaryTable> secondaryTable

### primaryKeyJoinColumn

    protected List<JaxbPrimaryKeyJoinColumn> primaryKeyJoinColumn

### idClass

    protected JaxbIdClass idClass

### inheritance

    protected JaxbInheritance inheritance

### discriminatorValue

    protected String discriminatorValue

### discriminatorColumn

    protected JaxbDiscriminatorColumn discriminatorColumn

### sequenceGenerator

    protected JaxbSequenceGenerator sequenceGenerator

### tableGenerator

    protected JaxbTableGenerator tableGenerator

### namedQuery

    protected List<JaxbNamedQuery> namedQuery

### namedNativeQuery

    protected List<JaxbNamedNativeQuery> namedNativeQuery

### sqlResultSetMapping

    protected List<JaxbSqlResultSetMapping> sqlResultSetMapping

### excludeDefaultListeners

    protected JaxbEmptyType excludeDefaultListeners

### excludeSuperclassListeners

    protected JaxbEmptyType excludeSuperclassListeners

### entityListeners

    protected JaxbEntityListeners entityListeners

### prePersist

    protected JaxbPrePersist prePersist

### postPersist

    protected JaxbPostPersist postPersist

### preRemove

    protected JaxbPreRemove preRemove

### postRemove

    protected JaxbPostRemove postRemove

### preUpdate

    protected JaxbPreUpdate preUpdate

### postUpdate

    protected JaxbPostUpdate postUpdate

### postLoad

    protected JaxbPostLoad postLoad

### attributeOverride

    protected List<JaxbAttributeOverride> attributeOverride

### associationOverride

    protected List<JaxbAssociationOverride> associationOverride

### attributes

    protected JaxbAttributes attributes

### name

    protected String name

### clazz

    protected String clazz

### access

    protected JaxbAccessType access

### cacheable

    protected Boolean cacheable

### metadataComplete

    protected Boolean metadataComplete

Constructor Detail

### JaxbEntity

    public JaxbEntity()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getTable

    public JaxbTable getTable()

  Gets the value of the table property.

  Returns:
    possible object is `JaxbTable`

### setTable

    public void setTable(JaxbTable value)

  Sets the value of the table property.

  Parameters:
    `value` - allowed object is `JaxbTable`

### getSecondaryTable

    public List<JaxbSecondaryTable> getSecondaryTable()

  Gets the value of the secondaryTable property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the secondaryTable property.

  For example, to add a new item, do as follows:

          getSecondaryTable().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbSecondaryTable`

### getPrimaryKeyJoinColumn

    public List<JaxbPrimaryKeyJoinColumn> getPrimaryKeyJoinColumn()

  Gets the value of the primaryKeyJoinColumn property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the primaryKeyJoinColumn property.

  For example, to add a new item, do as follows:

          getPrimaryKeyJoinColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbPrimaryKeyJoinColumn`

### getIdClass

    public JaxbIdClass getIdClass()

  Gets the value of the idClass property.

  Returns:
    possible object is `JaxbIdClass`

### setIdClass

    public void setIdClass(JaxbIdClass value)

  Sets the value of the idClass property.

  Parameters:
    `value` - allowed object is `JaxbIdClass`

### getInheritance

    public JaxbInheritance getInheritance()

  Gets the value of the inheritance property.

  Returns:
    possible object is `JaxbInheritance`

### setInheritance

    public void setInheritance(JaxbInheritance value)

  Sets the value of the inheritance property.

  Parameters:
    `value` - allowed object is `JaxbInheritance`

### getDiscriminatorValue

    public String getDiscriminatorValue()

  Gets the value of the discriminatorValue property.

  Returns:
    possible object is `String`

### setDiscriminatorValue

    public void setDiscriminatorValue(String value)

  Sets the value of the discriminatorValue property.

  Parameters:
    `value` - allowed object is `String`

### getDiscriminatorColumn

    public JaxbDiscriminatorColumn getDiscriminatorColumn()

  Gets the value of the discriminatorColumn property.

  Returns:
    possible object is `JaxbDiscriminatorColumn`

### setDiscriminatorColumn

    public void setDiscriminatorColumn(JaxbDiscriminatorColumn value)

  Sets the value of the discriminatorColumn property.

  Parameters:
    `value` - allowed object is `JaxbDiscriminatorColumn`

### getSequenceGenerator

    public JaxbSequenceGenerator getSequenceGenerator()

  Gets the value of the sequenceGenerator property.

  Returns:
    possible object is `JaxbSequenceGenerator`

### setSequenceGenerator

    public void setSequenceGenerator(JaxbSequenceGenerator value)

  Sets the value of the sequenceGenerator property.

  Parameters:
    `value` - allowed object is `JaxbSequenceGenerator`

### getTableGenerator

    public JaxbTableGenerator getTableGenerator()

  Gets the value of the tableGenerator property.

  Returns:
    possible object is `JaxbTableGenerator`

### setTableGenerator

    public void setTableGenerator(JaxbTableGenerator value)

  Sets the value of the tableGenerator property.

  Parameters:
    `value` - allowed object is `JaxbTableGenerator`

### getNamedQuery

    public List<JaxbNamedQuery> getNamedQuery()

  Gets the value of the namedQuery property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the namedQuery property.

  For example, to add a new item, do as follows:

          getNamedQuery().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbNamedQuery`

### getNamedNativeQuery

    public List<JaxbNamedNativeQuery> getNamedNativeQuery()

  Gets the value of the namedNativeQuery property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the namedNativeQuery property.

  For example, to add a new item, do as follows:

          getNamedNativeQuery().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbNamedNativeQuery`

### getSqlResultSetMapping

    public List<JaxbSqlResultSetMapping> getSqlResultSetMapping()

  Gets the value of the sqlResultSetMapping property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sqlResultSetMapping property.

  For example, to add a new item, do as follows:

          getSqlResultSetMapping().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbSqlResultSetMapping`

### getExcludeDefaultListeners

    public JaxbEmptyType getExcludeDefaultListeners()

  Gets the value of the excludeDefaultListeners property.

  Returns:
    possible object is `JaxbEmptyType`

### setExcludeDefaultListeners

    public void setExcludeDefaultListeners(JaxbEmptyType value)

  Sets the value of the excludeDefaultListeners property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getExcludeSuperclassListeners

    public JaxbEmptyType getExcludeSuperclassListeners()

  Gets the value of the excludeSuperclassListeners property.

  Returns:
    possible object is `JaxbEmptyType`

### setExcludeSuperclassListeners

    public void setExcludeSuperclassListeners(JaxbEmptyType value)

  Sets the value of the excludeSuperclassListeners property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getEntityListeners

    public JaxbEntityListeners getEntityListeners()

  Gets the value of the entityListeners property.

  Returns:
    possible object is `JaxbEntityListeners`

### setEntityListeners

    public void setEntityListeners(JaxbEntityListeners value)

  Sets the value of the entityListeners property.

  Parameters:
    `value` - allowed object is `JaxbEntityListeners`

### getPrePersist

    public JaxbPrePersist getPrePersist()

  Gets the value of the prePersist property.

  Returns:
    possible object is `JaxbPrePersist`

### setPrePersist

    public void setPrePersist(JaxbPrePersist value)

  Sets the value of the prePersist property.

  Parameters:
    `value` - allowed object is `JaxbPrePersist`

### getPostPersist

    public JaxbPostPersist getPostPersist()

  Gets the value of the postPersist property.

  Returns:
    possible object is `JaxbPostPersist`

### setPostPersist

    public void setPostPersist(JaxbPostPersist value)

  Sets the value of the postPersist property.

  Parameters:
    `value` - allowed object is `JaxbPostPersist`

### getPreRemove

    public JaxbPreRemove getPreRemove()

  Gets the value of the preRemove property.

  Returns:
    possible object is `JaxbPreRemove`

### setPreRemove

    public void setPreRemove(JaxbPreRemove value)

  Sets the value of the preRemove property.

  Parameters:
    `value` - allowed object is `JaxbPreRemove`

### getPostRemove

    public JaxbPostRemove getPostRemove()

  Gets the value of the postRemove property.

  Returns:
    possible object is `JaxbPostRemove`

### setPostRemove

    public void setPostRemove(JaxbPostRemove value)

  Sets the value of the postRemove property.

  Parameters:
    `value` - allowed object is `JaxbPostRemove`

### getPreUpdate

    public JaxbPreUpdate getPreUpdate()

  Gets the value of the preUpdate property.

  Returns:
    possible object is `JaxbPreUpdate`

### setPreUpdate

    public void setPreUpdate(JaxbPreUpdate value)

  Sets the value of the preUpdate property.

  Parameters:
    `value` - allowed object is `JaxbPreUpdate`

### getPostUpdate

    public JaxbPostUpdate getPostUpdate()

  Gets the value of the postUpdate property.

  Returns:
    possible object is `JaxbPostUpdate`

### setPostUpdate

    public void setPostUpdate(JaxbPostUpdate value)

  Sets the value of the postUpdate property.

  Parameters:
    `value` - allowed object is `JaxbPostUpdate`

### getPostLoad

    public JaxbPostLoad getPostLoad()

  Gets the value of the postLoad property.

  Returns:
    possible object is `JaxbPostLoad`

### setPostLoad

    public void setPostLoad(JaxbPostLoad value)

  Sets the value of the postLoad property.

  Parameters:
    `value` - allowed object is `JaxbPostLoad`

### getAttributeOverride

    public List<JaxbAttributeOverride> getAttributeOverride()

  Gets the value of the attributeOverride property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributeOverride property.

  For example, to add a new item, do as follows:

          getAttributeOverride().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbAttributeOverride`

### getAssociationOverride

    public List<JaxbAssociationOverride> getAssociationOverride()

  Gets the value of the associationOverride property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the associationOverride property.

  For example, to add a new item, do as follows:

          getAssociationOverride().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbAssociationOverride`

### getAttributes

    public JaxbAttributes getAttributes()

  Gets the value of the attributes property.

  Returns:
    possible object is `JaxbAttributes`

### setAttributes

    public void setAttributes(JaxbAttributes value)

  Sets the value of the attributes property.

  Parameters:
    `value` - allowed object is `JaxbAttributes`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

### isCacheable

    public Boolean isCacheable()

  Gets the value of the cacheable property.

  Returns:
    possible object is `Boolean`

### setCacheable

    public void setCacheable(Boolean value)

  Sets the value of the cacheable property.

  Parameters:
    `value` - allowed object is `Boolean`

### isMetadataComplete

    public Boolean isMetadataComplete()

  Gets the value of the metadataComplete property.

  Returns:
    possible object is `Boolean`

### setMetadataComplete

    public void setMetadataComplete(Boolean value)

  Sets the value of the metadataComplete property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.